View Issue Details

IDProjectCategoryView StatusLast Update
0001864XdebugUncategorizedpublic2020-11-04 08:51
Reporterremi Assigned Toderick  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.0beta1 
Target Version3.0.0RC1Fixed in Version3.0.0RC1 
Summary0001864: Incompatibility with PCS and protobuf extensions
DescriptionWhen both are enabled, php segfaults:

(gdb) bt
#0 xdebug_add_stack_frame (zdata=<optimized out>, zdata@entry=0x0, op_array=op_array@entry=0x7ffff727e1c0, type=type@entry=2)
    at /usr/src/debug/php-pecl-xdebug3-3.0.0~beta1-1.fc31.remi.7.3.x86_64/NTS/src/base/base.c:587
#1 0x00007ffff7529493 in xdebug_execute_ex (execute_data=0x7ffff721c030) at /usr/src/debug/php-pecl-xdebug3-3.0.0~beta1-1.fc31.remi.7.3.x86_64/NTS/src/base/base.c:725
0000002 0x0000555555881a37 in zend_execute (op_array=<optimized out>, return_value=0x7fffffffbad0) at /usr/src/debug/php-7.3.23-1.fc31.remi.x86_64/Zend/zend_vm_execute.h:60944
0000003 0x00007fffbaa1a36d in PCS_Loader_loadNode () from /usr/lib64/php/modules/pcs.so
0000004 0x00007fffbaa1a4d1 in zm_activate_pcs () from /usr/lib64/php/modules/pcs.so
0000005 0x00005555557fcf70 in zend_activate_modules () at /usr/src/debug/php-7.3.23-1.fc31.remi.x86_64/Zend/zend_API.c:2611
0000006 0x00005555557979ac in php_request_startup () at /usr/src/debug/php-7.3.23-1.fc31.remi.x86_64/main/main.c:1827
0000007 0x0000555555883ab4 in do_cli (argc=7, argv=0x5555559fe340) at /usr/src/debug/php-7.3.23-1.fc31.remi.x86_64/sapi/cli/php_cli.c:971
0000008 0x00005555556630b8 in main (argc=7, argv=0x5555559fe340) at /usr/src/debug/php-7.3.23-1.fc31.remi.x86_64/sapi/cli/php_cli.c:1396
Steps To Reproducephp -m
TagsNo tags attached.
Operating System
PHP Version7.3.10-7.3.14

Relationships

has duplicate 0001874 resolvedderick Incompatibility with protobuf extension 

Activities

remi

2020-10-15 07:09

reporter   ~0005476

Also reported as https://github.com/flaupretre/pecl-pcs/issues/19

derick

2020-11-03 17:35

administrator   ~0005495

I can reproduce this with the following line:

valgrind php -n -dzend_extension=xdebug -dextension=pcs -r 'echo "hi";' 2>&1 | less

Issue History

Date Modified Username Field Change
2020-10-15 07:07 remi New Issue
2020-10-15 07:09 remi Note Added: 0005476
2020-10-27 13:29 derick Target Version => 3.0.0RC1
2020-11-03 17:25 derick Summary Imcompatibility with PCS extension => Incompatibility with PCS extension
2020-11-03 17:35 derick Assigned To => derick
2020-11-03 17:35 derick Status new => confirmed
2020-11-03 17:35 derick Note Added: 0005495
2020-11-03 17:36 derick Relationship added has duplicate 0001874
2020-11-03 19:18 derick Summary Incompatibility with PCS extension => Incompatibility with PCS and protobuf extensions
2020-11-04 08:51 derick Status confirmed => closed
2020-11-04 08:51 derick Resolution open => fixed
2020-11-04 08:51 derick Fixed in Version => 3.0.0RC1